
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux命令（23）：demsg命令-显示开机信息 / 憋错料</title>

    <meta name="description" content="Linux命令（23）：demsg命令-显示开机信息 demsg命令 功能说明 demsg命令用于显示开机信息,内核会将开机信息存储在系统缓冲区(ring buffer)中,开机后可用dmesg命令查看,也可以在/var/log/目录中查看dmesg文件.用法如下:   dmesg [选项] 命令参数 选项 含义 -c 显示开机信息后,清除ring buffer信息 -s 设置缓冲区大小,默认设置为8192 -n 设置记录信息的层级 内核缓冲区的信息对于诊断系统非常有用.在查看时可以配合grep使用. 示例 使用tail查看最后10条信息 [[em">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Linux命令（23）：demsg命令-显示开机信息</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>demsg命令</strong></p>
<hr />
<br /><strong>功能说明</strong><br /><strong></strong></p>
<p>demsg命令用于显示开机信息，内核会将开机信息存储在系统缓冲区（ring buffer）中，开机后可用dmesg命令查看，也可以在/var/log/目录中查看dmesg文件。用法如下：</p>
<table>
<tbody>
<tr>
<td>&nbsp; dmesg [选项]</td>
</tr>
</tbody>
</table>
<p><strong>命令参数</strong></p>
<table>
<tbody>
<tr>
<td><strong>选项</strong></td>
<td><strong>含义</strong></td>
</tr>
<tr>
<td>-c</td>
<td>显示开机信息后，清除ring buffer信息</td>
</tr>
<tr>
<td>-s</td>
<td>设置缓冲区大小，默认设置为8192</td>
</tr>
<tr>
<td colspan="1" rowspan="1">-n</td>
<td colspan="1" rowspan="1">设置记录信息的层级</td>
</tr>
</tbody>
</table>
<p>内核缓冲区的信息对于诊断系统非常有用。在查看时可以配合grep使用。</p>
<p><strong>示例</strong></p>
<p><strong>使用tail查看最后10条信息</strong></p>
<p><strong><strong></strong></strong></p>
<p><strong><strong></strong></strong></p>
<table>
<tbody>
<tr>
<td>
<br />[[email&#160;protected] ~]# dmesg | tail</p>
<p>[ &nbsp; 14.173511] Ebtables v2.0 registered</p>
<p>[ &nbsp; 14.211151] Bridge firewalling registered</p>
<p>[ &nbsp; 15.018274] IPv6: ADDRCONF(NETDEV_UP): eno16777736: link is not ready</p>
<p>[ &nbsp; 15.023187] e1000: eno16777736 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None</p>
<p>[ &nbsp; 15.027562] IPv6: ADDRCONF(NETDEV_UP): eno16777736: link is not ready</p>
<p>[ &nbsp; 15.027571] IPv6: ADDRCONF(NETDEV_CHANGE): eno16777736: link becomes ready</p>
<p>[73937.594566] e1000: eno16777736 NIC Link is Down</p>
<p>[74082.150628] e1000: eno16777736 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None</p>
<p>[74082.153014] IPv6: ADDRCONF(NETDEV_CHANGE): eno16777736: link becomes ready</p>
<p>[102547.555629] perf interrupt took too long (2547 &gt; 2500), lowering kernel.perf_event_max_sample_rate to 50000</p>
</td>
</tr>
</tbody>
</table>
<p><strong>&nbsp;&nbsp;&nbsp;&nbsp;使用grep查看关于网卡设备的信息</strong></p>
<p><strong><strong></strong></strong></p>
<p><strong><strong></strong></strong></p>
<table>
<tbody>
<tr>
<td>
<br />[[email&#160;protected] ~]# dmesg | grep eno16</p>
<p>[ &nbsp; &nbsp;2.834942] systemd-udevd[497]: renamed network interface eth0 to eno16777736</p>
<p>[ &nbsp; 15.018274] IPv6: ADDRCONF(NETDEV_UP): eno16777736: link is not ready</p>
<p>[ &nbsp; 15.023187] e1000: eno16777736 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None</p>
<p>[ &nbsp; 15.027562] IPv6: ADDRCONF(NETDEV_UP): eno16777736: link is not ready</p>
<p>[ &nbsp; 15.027571] IPv6: ADDRCONF(NETDEV_CHANGE): eno16777736: link becomes ready</p>
<p>[73937.594566] e1000: eno16777736 NIC Link is Down</p>
<p>[74082.150628] e1000: eno16777736 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None</p>
<p>[74082.153014] IPv6: ADDRCONF(NETDEV_CHANGE): eno16777736: link becomes ready</p>
</td>
</tr>
</tbody>
</table>
<p>学习自：</p>
<p>高俊峰《循序渐进Linux》</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-03 05:30:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/demsg%e5%91%bd%e4%bb%a4/" title="demsg命令">demsg命令</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Linux命令（23）：demsg命令-显示开机信息的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQeBxM.html" rel="bookmark">linux dmesg命令参数及用法详解&lpar;linux显示开机信息命令&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				功能说明:显示开机信息. 语 法:dmesg [-cn][-s &lt;缓冲区大小&gt;] 补充说明:kernel会将开机信息存储在ring buffer中.您若是开机时来不及查看信息,可利用dmesg来查看.开机信息亦保存在/var/log目录中,名称为dmesg的文件里. 参 数: -c  显示信息后,清除ring buffer中的内容.  -s&lt;缓冲区大小&gt;  预设置为8196,刚好等于ring buffer的大小.  -n  设置记录信息的层级. 扩展阅读一:dmesg命令主要用途			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rpYZvM.html" rel="bookmark">dmesg显示开机信息命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				dmesg    显示开机信息 kernel会将开机信息存储在ring buffer中,如果开机时来不及看,可以利用dmeg查看. 路径/var/log/dmesg 常用参数: -c    显示信息后,清楚ring buffer中内容 -s&lt;缓存区大小&gt;    预设值是8196,刚好等于ring buffer大小 -n    设置记录信息的层级 实例: 1-将开机信息邮件发送 man dmesg 写道The program helps users to print out their boot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/02reXz0.html" rel="bookmark">dmesg 显示开机信息。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				功能说明:显示开机信息. 语 法:dmesg [-cn][-s &lt;缓冲区大小&gt;] 补充说明:kernel会将开机信息存储在ring buffer中.您若是开机时来不及查看信息,可利用dmesg来查看.开机信息亦保存在/var/log目录中,名称为dmesg的文件里. 参 数: -c  显示信息后,清除ring buffer中的内容.  -s&lt;缓冲区大小&gt;  预设置为8196,刚好等于ring buffer的大小.  -n  设置记录信息的层级. 扩展阅读一:dmesg命令主要用途			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/355JPR3.html" rel="bookmark">linux之50条命令详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. tar tar命令文件压缩与解压 tar命令可以为linux的文件和目录创建档案.利用tar,可以为某一特定文件创建档案(备份文件),也可以在档案中改变文件,或者向档案中加入新的文件.tar最初被用来在磁带上创建档案,现在,用户可以在任何设备上创建档案.利用tar命令,可以把一大堆的文件和目录全部打包成一个文件,这对于备份文件或将几个文件组合成为一个文件以便于网络传输是非常有用的. 首先要弄清两个概念:打包和压缩.打包是指将一大堆文件或目录变成一个总的文件:压缩则是将一个大的文件通过一些压			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/pMPgov4.html" rel="bookmark">Linux运维常用命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux运维常用的150个命令 命令 功能说明 线上查询及帮助命令(2个) man 查看命令帮助,命令的词典,更复杂的还有info,但不常用. help 查看Linux内置命令的帮助,比如cd命令. 文件和目录操作命令(18个) ls 全拼list,功能是列出目录的内容及其内容属性信息. cd 全拼change directory,功能是从当前工作目录切换到指定的工作目录. cp 全拼copy,其功能为复制文件或目录. find 查找的意思,用于查找目录及目录下的文件. mkdir 全拼mak			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3O8yA94.html" rel="bookmark">Linux 常用 150 个命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				命令 功能说明 线上查询及帮助命令 (2 个) man 查看命令帮助,命令的词典,更复杂的还有 info,但不常用. help 查看 Linux 内置命令的帮助,比如 cd 命令. 文件和目录操作命令 (18 个) ls 全拼 list,功能是列出目录的内容及其内容属性信息. cd 全拼 change directory,功能是从当前工作目录切换到指定的工作目录. cp 全拼 copy,其功能为复制文件或目录. find 查找的意思,用于查找目录及目录下的文件. mkdir 全拼 make di			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP2ZA13.html" rel="bookmark">每天一个linux命令：route命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux系统的route命令用于显示和操作IP路由表(show / manipulate the IP routing table).要实现两个不同的子网之间的通信,需要一台连接两个网络的路由器,或者同时位于两个网络的网关来实现.在Linux系统中,设置路由通常是为了解决以下问题:该Linux系统在一个局域网中,局域网中有一个网关,能够让机器访问Internet,那么就需要将这台机器的IP地址设置为Linux机器的默认路由.要注意的是,直接在命令行下执行route命令来添加路由,不会永久保存,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QANmo4.html" rel="bookmark">Linux命令（24）：free命令-显示内存信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				free命令 功能说明 free命令用于显示系统内存状态,具体包括系统物理内存.虚拟内存.共享内存和系统缓存.用法如下:   free [选项] [-s (间隔秒数)] 命令参数 选项 含义 -m 以MB为单位显示内存使用情况 -b 以字节为单位显示内存使用情况 -k 以KB为单位显示内存使用情况 -t 显示内存总和列 -s(间隔秒数) 根据指定的间隔秒数持续显示内存使用情况 -c 计数,需要与-s选项结合使用 -o 不显示系统缓冲区列 常用组合: free -m          #以MB为单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J9JvD3.html" rel="bookmark">linux mount &sol; umount 命令的基本用法 及 开机自动挂载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				格式:mount [-参数] [设备名称] [挂载点] 其中常用的参数有: -a 安装在/etc/fstab文件中类出的所有文件系统. -f 伪装mount,作出检查设备和目录的样子,但并不真正挂载文件系统. -n 不把安装记录在/etc/mtab 文件中. -r 讲文件系统安装为只读. -v 详细显示安装信息. -w 将文件系统安装为可写,为命令默认情况. -t &lt;文件系统类型&gt; 指定设备的文件系统类型,常见的有: ext2 是linux目前常用的文件系统 msdos MS-DOS的fat,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bymZwM.html" rel="bookmark" class="title">类的初始化</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVgEKx0.html" rel="bookmark" class="title">luogu P1027 Car的旅行路线</a>
					<div>
						题目描述 又到暑假了,住在城市A的Car想和朋友一起去城市B旅游.她知道每个城市都有四个飞机场,分别位于一个矩形的四个顶点上,同一个城市中两个机场之间有一条笔直的高速铁路,第I个城市中高速铁路了的单位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bnp8V0.html" rel="bookmark" class="title">Python3 Tkinter基础 Text Button 文本框中插入一个按钮</a>
					<div>
						镇场诗: 清心感悟智慧语,不着世间名与利.学水处下纳百川,舍尽贡高我慢意. 学有小成返哺根,愿铸一良心博客.诚心于此写经验,愿见文者得启发.------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q8ajQ3.html" rel="bookmark" class="title">POJ 1083</a>
					<div>
						Moving Tables Time Limit: 1000MS   Memory Limit: 10000K Total Submissions: 26773   Accepted: 8958 De ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pRkW80.html" rel="bookmark" class="title">关于渲染流水线的几何变化</a>
					<div>
						看了很多资料,总算是把一个流水线中的几何变化所涉及到的坐标系统和坐标含义搞清楚了.  一个流水线中包含五个坐标系统:物体(模型)坐标系统,世界坐标系统,摄像机坐标系统,裁剪坐标系统,屏幕坐标系统. 对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bg9nk3.html" rel="bookmark" class="title">MyEclipse安装Eclipse Memory Analyzer插件，并进行错误文件分析流程</a>
					<div>
						在看深入JVM虚拟机一书(p50,2.4 实战OutOfMemoryError),有一个Java堆溢出的例子,使用到了Eclipse Memory Analyzer插件,由于自己现在使用的是MyEcl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKGnA3.html" rel="bookmark" class="title">卜算子&quest;咏梅</a>
					<div>
						卜算子•咏梅 芳气逼云霄,意志如山豪.耻与春花争艳丽,霜雪乐逍遥.     风姿伴暗香,影寒玉骨娇.陆老吟章千古秀,迎迓百花俏.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47D5LyM.html" rel="bookmark" class="title">Mount Windows &lpar;CIFS&rpar; shares on Linux with credentials in a secure way</a>
					<div>
						  Posted on 09/09/2014 In almost all cases, when mounting a CIFS-share on a Linux host, you will nee ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MylA7Y4.html" rel="bookmark" class="title">HNU 10111 0-1矩阵</a>
					<div>
						http://acm.hnu.cn/online/?action=problem&amp;type=show&amp;id=10111 题意:中文 题解:在龙哥的帮助下正了二分图匹配的三观--以前的理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDvmkw3.html" rel="bookmark" class="title">磁盘分区小练习&comma;UEFI和GPT区别</a>
					<div>
						UEFI和GPT区别? GPT分区: 在GTP磁盘的第一个数据块中同样有一个与MBR(主引导记录)类似的标记,叫做PMBR PMBR的作用是,当使用不支持GPT的分区工具时,整个硬盘将显示为一个受保护 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7ojN4.html" rel="bookmark" class="title">【SPOJ Query on a tree 】 &lpar;树链剖分&rpar;</a>
					<div>
						http://acm.hust.edu.cn/vjudge/problem/13013 题意: 有一棵N个节点的树(1&lt;=N&lt;=10000),N-1条边,边的编号为1~N-1,每条边有一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NGp28M.html" rel="bookmark" class="title">cpu缓存原理</a>
					<div>
						概述 今天来跟大家分享一下cpu缓存相关的东西,在了解cpu缓存的工作原理时,举一反三,以后在学习一些缓存技术的实现的时候就会更加容易一些,现在那么多缓存技术,原理大多都大同小异. 基本描述 我们都知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M65yr54.html" rel="bookmark" class="title">javascript 语言精粹 笔记推荐。。</a>
					<div>
						http://www.cnblogs.com/Cohlint/archive/2012/11/26/2788790.html 这篇javascript 语言精粹 学习笔记不错..不过看上去就是读书笔记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9DJj4.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;假如花千骨在杭州拍摄&rdquo; 主题Cosplay</a>
					<div>
						&quot;假如花千骨在杭州拍摄&quot; 主题Cosplay 今天,2015年7月23日,本周三:此刻,现场正在中国杭州西湖举办&quot;花千骨cosplay&quot;大型分享活动,现场有超凡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6lB853.html" rel="bookmark" class="title">error&colon; device not found解决办法</a>
					<div>
						问题描述:在CMD命令行,adb install .. 报:error: device not found,但我的模拟器明明是启动的.输入adb devices,显示设备列表为空. 解决办法:1.结束 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eErd50.html" rel="bookmark" class="title">现在的状态</a>
					<div>
						五月快要结束了,居然没有写一篇文章,自己的惰性真是可以啊.其实生活可以很简单,很纯粹的.读读书,写写文章,就简单而快乐.晚上带孩子出门散步,去老江家坐坐,觉得自己土到爆了.老江两口子才是真正的文艺青年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rBdyg3.html" rel="bookmark" class="title">&lbrack;HDOJ5384&rsqb;Danganronpa</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=5384 字典树过,把子弹存入树内,再穷举每一个怪物的子串,看看子串是否在树内存在. 1 #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjQDY4.html" rel="bookmark" class="title">&period;NET下解析Json的方法</a>
					<div>
						.NET下几种常见的解析JSON方法 主要类 命名空间 限制 内建LINQ支持 DataContractJsonSerializer System.Runtime.Serialization.Json ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rPNKaM.html" rel="bookmark" class="title">Java NIO系列教程（三） Buffer&lpar;转&rpar;</a>
					<div>
						Java NIO中的Buffer用于和NIO通道进行交互.如你所知,数据是从通道读入缓冲区,从缓冲区写入到通道中的. 缓冲区本质上是一块可以写入数据,然后可以从中读取数据的内存.这块内存被包装成NIO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NXeeB0.html" rel="bookmark" class="title">boost&colon;&colon;bind的使用方法</a>
					<div>
						bind - boost 头文件: boost/bind.hpp bind 是一组重载的函数模板.用来向一个函数(或函数对象)绑定某些参数. bind的返回值是一个函数对象. 它的源文件太长了. 看不 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
